Ask Your Question
-1

libvpx.so.0 missing while installing ffmpeg/mencoder

asked 2012-05-16 09:22:12 -0600

yohBS gravatar image

Hello all.

Today I've installed F16 (actually, the sysadmin did it) and I need to install ffmpeg. For some reason, I get the error

Error: Package: ffmpeg-libs-0.8.5-2.fc16.x86_64 (rpmfusion-free)
           Requires: libvpx.so.0()(64bit)
           Available: libvpx-0.9.7.1-1.fc16.x86_64 (fedora)
               libvpx.so.0()(64bit)
           Installed: libvpx-1.0.0-1.fc16.x86_64 (@updates)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

which is exactly what is reprted in this question. The solution suggested there does not work for me. What else can I try?

edit retag flag offensive close merge delete

Comments

still it is not working on my dell inspiron 14

Avinash Angulwar gravatar imageAvinash Angulwar ( 2013-06-01 06:33:57 -0600 )edit
1

If you've installed F16, it's probably because the repositories have old data in them. F16 is not a current fedora version and does not receive updates or new packages. Please try with F17/18/18beta and I'm sure it'll work.

FranciscoD_ gravatar imageFranciscoD_ ( 2013-06-01 09:53:10 -0600 )edit

2 Answers

Sort by ยป oldest newest most voted
0

answered 2012-05-16 15:48:47 -0600

mooninite gravatar image

updated 2012-05-16 15:50:30 -0600

You have out of date repository data. You need to have your network turned on and where you can reach the internet. Try cleaning yum up first, then do a "yum update" to fully update your system.

# yum clean all
# yum update

If you did not install the rpmfusion repository package, you need to do that before the two commands above.

# yum install http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-stable.noarch.rpm
# yum install http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-stable.noarch.rpm
edit flag offensive delete link more
0

answered 2012-05-20 05:33:45 -0600

FranciscoD_ gravatar image

Please make sure that you have both the rpmfusion repositories installed as @mooninite noted. After that, try the following:

yum clean all
yum distro-sync
yum update 
yum install ffmpeg
edit flag offensive delete link more

Question Tools

Stats

Asked: 2012-05-16 09:22:12 -0600

Seen: 2,133 times

Last updated: Jun 01 '13